Subject: bug#31456: guix size tries to fetch substitute information for installed package.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 15 May 2018 10:50:10 +0200

Hello,

Martin Castillo <[email-masked]> skribis:

> On 14.05.2018 22:10, Martin Castillo wrote:
>> I'm on guix 563ab27bd4caead5676bbd515c54b25100c98960 on guixsd.
>> $ guix package -I; contains
>> lilypond	2.19.80	out
>> /gnu/store/jhmz7wpb93hryzqq32kcb4fs9cd84jyi-lilypond-2.19.80
>> I installed lilypond with that guix version.
>> 
>> $ guix size lilypond; gives me
>> guix size: error: no available substitute information for
>> '/gnu/store/6zyrglcmk8l4xpwvg6hgq1al81d7fr1w-lilypond-2.19.80'
>> 
>> I have no idea how this happens.
>> A wild guess is that store/jhmz.. is a grafted version, and guix size
>> looks for the ungrafted one?
>
> Seems like this is exactly what is happening. guix build --no-grafts
> lilypond gave me
> /gnu/store/6zyrglcmk8l4xpwvg6hgq1al81d7fr1w-lilypond-2.19.80
> and guix size lilypond works as usual.

Exactly.  So I don’t think it’s a bug per se, just that no substitutes
were unavailable when you checked.

Right now I get (purely from substitutes):

--8<---------------cut here---------------start------------->8---
$ guix size --sort=closure lilypond | head
store item                                                       total    self
/gnu/store/s4wbbm0krpnlv22j5r5byb9iv7f3d4gg-lilypond-2.19.80       325.7    26.6   8.2%
/gnu/store/pwbx5fhjrq9crr1c0d2x08ch0l6vr3cv-pango-1.40.14          196.8     3.9   1.2%
/gnu/store/67b00bcqsgq4q6x01pkl7bmrl65hr1n2-harfbuzz-1.7.3         166.5     2.6   0.8%
/gnu/store/j4vj7h3wyb532g2j0axzjj43z2a0dg81-python-2.7.14          152.2    54.6  16.8%
/gnu/store/fs5f2mhnz2czgkcwd594f3i8yh0lyrfd-cairo-1.14.10          135.2     6.1   1.9%
/gnu/store/rrs4fwbsjz59a1gay7m5bhks6xyzl5ha-icu4c-60.2             116.0    36.1  11.1%
/gnu/store/sm37m59gq3smxxz8gs4jikn50qg0g7xh-glib-2.54.2            104.1    14.0   4.3%
/gnu/store/7b5ykfl6jbrdl8j7xp630fga4as3234z-ghostscript-9.22        91.5    22.4   6.9%
/gnu/store/23576gzvv6jdp9f547x6dgah1q9hwcna-libxft-2.3.2            85.1     0.3   0.1%
$ guix --version
guix (GNU Guix) cbcdb777900618f0858e26c91415c603e2a44fb8
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
--8<---------------cut here---------------end--------------->8---

I think we can close the bug, WDYT?

Ludo’.